<?php
include("text-include.php");
require_once 'twilio-php-master/Twilio/autoload.php';
use Twilio\Rest\Client;
if (isset($_GET['userid']) && !empty($_GET['userid'])) {
$userid = $_GET['userid'];
$sq = ("SELECT * FROM wendyhairsalon WHERE userid=?");
$st = $db->prepare($sq);
$st->execute(array($userid));
$row_count = $st->rowCount();
while  ($row = $st->fetchAll(PDO::FETCH_ASSOC)){
foreach ($row as $el){
$name=$el['name'];
$email=$el['email'];
$cell=$el['cell'];
$cell_2 = preg_replace('/[^0-9]/','',$cell);
$service=$el['service'];
$value=$el['value'];
$message=$el['message'];
$stylist=$el['stylist'];
$date=$el['date'];
$time=$el['time'];
$confirm=$el['confirm'];
$created=$el['created'];
$created = date("m/d/Y", strtotime($created));
$updated=$el['updated'];
$updated = date("m/d/Y", strtotime($updated));
}
}
if ($message == ''){$message = '';}
else{$message = '<p class="appt"><b>Message:</b> '.$message.'</p>';	}

if ($confirm == '1'){$status = '<p class="appt success"><i class="fa fa-check-square"></i> Confirmed</p>';$new = 'Confirmed';}
if ($confirm == '2'){$status = '<p class="appt danger"><b><i class="fa fa-times"></i> Canceled</b></p>';$new = 'Canceled';}
if ($confirm <1){$new = 'New';}
}		


if (isset($_POST['confirm']) && !empty($_POST['confirm'])) {
$today = date('Y-m-d');	
$confirm = $_POST['confirm'];
$userid = $_POST['userid'];
$sql = ("UPDATE wendyhairsalon SET confirm=?, updated=? WHERE userid=?");
$q = $db->prepare($sql);
$q->bindParam(1, $confirm, PDO::PARAM_INT);
$q->bindParam(2, $today, PDO::PARAM_STR);
$q->bindParam(3, $userid, PDO::PARAM_STR);
$q->execute(); 


$sid = 'AC6c64c9853545743eb1b0abb34404fce0';
$token = '984d80eaaa04d626f8cf5f836f7b4e1f';
if($confirm == 1){
$new = 'Confirmed';	
$status = '<p class="appt success"><i class="fa fa-check-square"></i> Confirmed</p>';	
$text = 'Hi '.$name.', your appointment with '.$stylist.' is confirmed on '.$date.' at '.$time.'';	
$client = new Client($sid, $token);
$client->messages->create(
    "+1$cell_2",
    array(
        'from' => '+19722993373',
        'body' => "$text"
    )
);	
}
if($confirm == 2){
$new = 'Canceled';	
$status = '<p class="appt danger"><b><i class="fa fa-times"></i> Canceled</b></p>';	
$text = 'Hi '.$name.', sorry '.$stylist.' is not available on '.$date.' at '.$time.'. Please call 972-522-9009 and I can help reschedule, thanks.';	
$client = new Client($sid, $token);
$client->messages->create(
    "+1$cell_2",
    array(
        'from' => '+19722993373',
        'body' => "$text"
    )
);	
}
}	
?>	

<!DOCTYPE html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Hair Hair by Wendy | Appointment with Best Hair Salon in Allen, TX</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	 <meta name="keywords" content="hair salon, Allen tx, haircut, hair stylist, hairdresser, blowout, Keratin treatments, highlight" />
    <meta name="description" content="Make appoinment with Hair by Wendy, the best hair salon in Allen, TX specializing in all men and women hair cut, hair color and hair highlight">
	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css" />
	<link rel="stylesheet" href="css/icons.css">
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="stylesheet" type="text/css" href="css/responsive.css" />
	<link rel="stylesheet" type="text/css" href="css/color.css" />
	<link href="css/bkapp.css" rel="stylesheet">
	<link rel="stylesheet" type="text/css" href="css/revolution/settings.css">
	<link rel="stylesheet" type="text/css" href="css/revolution/navigation.css">
	<link rel="stylesheet" type="text/css" href="css/revolution/pe-icon-7-stroke/css/pe-icon-7-stroke.css">
<style>
#errorBox2, #errorBox3{color: #cf0000;font-size: 16px;}
p.appt{font-size: 17px;line-height: 18px;}
h4.title{font-size: 20px !important;line-height: 30px;color:#005b9b;font-weight: 500;}
button.lemon-btn{padding: 10px 15px;font-weight: 600;margin-top: 5px;margin-right: 20px;}
.confirm {background: #005b9b;border: 1px solid #003c6b;}
button.cancel {background: #bd0000;margin-left: 120px; border: 1px solid #9c0000;}
.success{color: #008e6b;}
.danger{color: #bd0000;}
#two {margin-top: -45px;}
</style>
</head>
<body>

	
	
<div class="">
<header>
		<center>
			<div class="logo"><a href="index.html" title=""><img src="images/logo.svg" alt="" /></a></div>
		</center>
</header>
	
	<section>
		<div class="block" style="margin-top: -40px;">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
<?php if ($row_count > 0) { ?>						
						<h4 class="title"><?php echo $new; ?> appointment on <?php echo $updated; ?></h4><br/>
<p class="appt"><b>Name:</b> <?php echo $name; ?></p>
<p class="appt"><b>Phone:</b> <?php echo $cell; ?></p>
<p class="appt"><b>Email:</b> <?php echo $email; ?></p>
<p class="appt"><b>Service:</b> <?php echo $service; ?></p>
<p class="appt"><b>Date:</b> <?php echo $date; ?></p>
<p class="appt"><b>Time:</b> <?php echo $time; ?></p>
<?php echo $message; ?>

<?php if ($confirm <1) { ?>
<form action="" method="post" id="one">
<input name="userid" value="<?php echo $userid; ?>" type="hidden">
<input name="confirm" value="1" type="hidden">
<button type="submit" class="lemon-btn confirm">CONFIRM</button>
</form>
<form action="" method="post" id="two">
<input name="userid" value="<?php echo $userid; ?>" type="hidden">
<input name="confirm" value="2" type="hidden">
<button class="lemon-btn cancel" type="submit">CANCEL</button>	
</form>
<?php 
}
if ($confirm >0){
echo $status;	
}
 
}
if ($userid == '') {
echo 'This link is not valid.';	
}	
?>
					</div>
				</div>
			</div>
		</div>
	</section>

</div>
</body>
</html>





